<div class="app-container">
    <div class="app-header">
        <mat-icon (click)="goToAngularPage()">keyboard_backspace</mat-icon>
        <h1>Pipes</h1>
    </div>
    <div class="app-content">
        <div>
            <h3>Built in Pipes</h3>
            <p>My nick name is {{ nickName }}</p>
            <p>My nick name is {{ nickName | async }}</p>

            <p>{{ logesh.name }} || {{ logesh.doj }}</p>
            <p>{{ logesh.name | uppercase }} </p>
            <p>{{ logesh.doj | date }}</p>
            <p>{{ logesh.doj | date: 'fullDate' | uppercase }}</p>

            <h3>Custom in Pipes</h3>
            <p>{{ ranjith.name | shorten: 5 }} </p>

            <h3>Pure & Impure Pipe</h3>
            <mat-form-field appearance="fill">
                <mat-label>Filter Value</mat-label>
                <input type="text" matInput [(ngModel)]="filterValue">
            </mat-form-field>
            <button mat-stroked-button color="accent" type="button" (click)="addStudent()">Add Student</button>

            <div class="pipe-container">
                <div class="pipe-content">
                    <p *ngFor="let student of students | pureFilter:'gender':filterValue">
                        <span>{{ student.name }}  ||  {{ student.gender }} </span>
                    </p>
                </div>
                <div class="pipe-content">
                    <p *ngFor="let student of students | impureFilter:'gender':filterValue">
                        <span>{{ student.name }}  ||  {{ student.gender }} </span>
                    </p>
                </div>
            </div>
        </div>
</div>